Bug 1573037 - [abrt] _iwl_pcie_rx_init: kernel BUG at drivers/net/wireless/intel/iwlwifi/pcie/rx.c:425! [iwlwifi]
Summary: [abrt] _iwl_pcie_rx_init: kernel BUG at drivers/net/wireless/intel/iwlwifi/pc...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:50e35f782e1536ad5fff1a627c1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 00:35 UTC by jonathan.dundas
Modified: 2018-07-27 17:02 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-27 17:02:31 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (87.81 KB, text/plain)
2018-04-30 00:36 UTC, jonathan.dundas
no flags Details

Description jonathan.dundas 2018-04-30 00:35:52 UTC
Description of problem:
New Ryzen+ processor on 'Gigabyte X470 Aorus Gaming 5 wifi' motherboard which has Intel AC 9260 wifi chip.

Performed a clean install of Fedora 27 & updated, same issue occurred.  Currently running Fedora 28 beta +
patches, problem still occurs.  'ifconfig -a' shows no wifi adapters in the system.  'lsmod' shows iwlmvm/iwlwifi modules
loaded.  The md5sums of the latest firmware are the same on the system that is linked on Intel's wifi driver/firmware site.

If there are tests or further info you want please let me know, currently the install is disposable.

Additional info:
reporter:       libreport-2.9.4
kernel BUG at drivers/net/wireless/intel/iwlwifi/pcie/rx.c:425!
invalid opcode: 0000 [#1] SMP NOPTI
Modules linked in: iwlmvm(+) mac80211 wmi_bmof mxm_wmi edac_mce_amd snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi kvm_amd iwlwifi snd_hda_intel snd_usb_audio(+) kvm btusb snd_hda_codec btrtl snd_usbmidi_lib btbcm btintel bluetooth snd_hda_core irqbypass snd_hwdep crct10dif_pclmul crc32_pclmul snd_seq snd_rawmidi cfg80211 snd_seq_device ghash_clmulni_intel snd_pcm xpad ff_memless ecdh_generic snd_timer rfkill snd soundcore ccp sp5100_tco i2c_piix4 k10temp shpchp wmi acpi_cpufreq amdgpu chash gpu_sched radeon drm_kms_helper igb ttm ptp pps_core dca drm crc32c_intel i2c_algo_bit
CPU: 9 PID: 762 Comm: modprobe Not tainted 4.16.4-300.fc28.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. X470 AORUS GAMING 5 WIFI/X470 AORUS GAMING 5 WIFI-CF, BIOS F3d 04/17/2018
RIP: 0010:iwl_pcie_rxq_alloc_rbs+0x182/0x1f0 [iwlwifi]
RSP: 0018:ffffb91f43c2f940 EFLAGS: 00010282
RAX: dead000000000200 RBX: ffff9d5bb8ac0000 RCX: dead000000000200
RDX: ffff9d5ba9e561b8 RSI: ffff9d5ba9e561e0 RDI: ffff9d5ba9e561e0
RBP: ffff9d5ba9e50028 R08: 0000000000100000 R09: 000000000071f380
R10: 000000000081f380 R11: 0000000000001000 R12: ffffda3e9fb32200
R13: ffff9d5bb8ac0078 R14: ffff9d5bb8ac0050 R15: ffff9d5ba9e561e0
FS:  00007f07b4d490c0(0000) GS:ffff9d5bdee40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000556445b62050 CR3: 00000007f8142000 CR4: 00000000003406e0
Call Trace:
 _iwl_pcie_rx_init+0x25c/0x730 [iwlwifi]
 iwl_pcie_rx_init+0x2b/0x3b0 [iwlwifi]
 iwl_trans_pcie_start_fw+0x293/0x6b0 [iwlwifi]
 ? __schedule+0x23c/0x850
 iwl_mvm_load_ucode_wait_alive+0xf1/0x2a0 [iwlmvm]
 ? 0xffffffffc0e00000
 iwl_run_init_mvm_ucode+0x85/0x330 [iwlmvm]
 ? iwl_wait_init_complete+0x20/0x20 [iwlmvm]
 ? iwl_trans_pcie_start_hw+0x59/0x1b0 [iwlwifi]
 iwl_op_mode_mvm_start+0x5cb/0x920 [iwlmvm]
 _iwl_op_mode_start.isra.8+0x47/0xa0 [iwlwifi]
 ? _cond_resched+0x15/0x30
 iwl_opmode_register+0x6f/0xe0 [iwlwifi]
 ? 0xffffffffc0434000
 iwl_mvm_init+0x34/0x1000 [iwlmvm]
 ? 0xffffffffc0434000
 do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x20cd/0x2450
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 67 08 49 89 07 4d 89 3c 24 83 43 30 01 c6 43 78 00 e9 c0 fe ff ff 48 8b 05 04 9f 27 c4 e9 70 ff ff ff 48 8b 15 f8 9e 27 c4 eb 97 <0f> 0b c6 43 78 00 48 83 c4 10 5b 5d 41 5c 41 5d 41 5e 41 5f c3 
RIP: iwl_pcie_rxq_alloc_rbs+0x182/0x1f0 [iwlwifi] RSP: ffffb91f43c2f940

Comment 1 jonathan.dundas 2018-04-30 00:36:06 UTC
Created attachment 1428623 [details]
File: dmesg

Comment 2 jonathan.dundas 2018-05-08 00:18:52 UTC
Still occuring on 4.16.6-302.fc28.x86_64

[    7.188647] ------------[ cut here ]------------
[    7.188649] kernel BUG at drivers/net/wireless/intel/iwlwifi/pcie/rx.c:425!
[    7.188676] invalid opcode: 0000 [#1] SMP NOPTI
[    7.188688] Modules linked in: iwlmvm(+) mac80211 edac_mce_amd kvm_amd snd_hda_codec_realtek wmi_bmof mxm_wmi snd_hda_codec_generic kvm snd_hda_codec_hdmi snd_hda_intel btusb irqbypass iwlwifi snd_hda_codec btrtl snd_usb_audio crct10dif_pclmul btbcm crc32_pclmul btintel snd_hda_core ghash_clmulni_intel bluetooth snd_usbmidi_lib snd_rawmidi snd_hwdep cfg80211 snd_seq snd_seq_device snd_pcm xpad ecdh_generic sp5100_tco snd_timer ff_memless i2c_piix4 snd k10temp rfkill ccp soundcore shpchp wmi acpi_cpufreq amdgpu chash gpu_sched radeon drm_kms_helper igb ttm ptp drm crc32c_intel pps_core dca i2c_algo_bit
[    7.188816] CPU: 0 PID: 767 Comm: modprobe Not tainted 4.16.6-302.fc28.x86_64 #1
[    7.188832] Hardware name: Gigabyte Technology Co., Ltd. X470 AORUS GAMING 5 WIFI/X470 AORUS GAMING 5 WIFI-CF, BIOS F3d 04/17/2018
[    7.188863] RIP: 0010:iwl_pcie_rxq_alloc_rbs+0x182/0x1f0 [iwlwifi]
[    7.188877] RSP: 0018:ffffbb8f081c7940 EFLAGS: 00010282
[    7.188889] RAX: dead000000000200 RBX: ffff9c64f9a10000 RCX: dead000000000200
[    7.188905] RDX: ffff9c64f8c461b8 RSI: ffff9c64f8c461e0 RDI: ffff9c64f8c461e0
[    7.188920] RBP: ffff9c64f8c40028 R08: 0000000000100000 R09: 000000000071f380
[    7.188936] R10: 000000000081f380 R11: 0000000000001000 R12: ffffeb035fddbb40
[    7.188951] R13: ffff9c64f9a10078 R14: ffff9c64f9a10050 R15: ffff9c64f8c461e0
[    7.188967] FS:  00007fcec4a450c0(0000) GS:ffff9c651ec00000(0000) knlGS:0000000000000000
[    7.188984] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[    7.188997] CR2: 0000564ba1a6a088 CR3: 00000007de466000 CR4: 00000000003406f0
[    7.189016] Call Trace:
[    7.189029]  _iwl_pcie_rx_init+0x25c/0x730 [iwlwifi]
[    7.189044]  iwl_pcie_rx_init+0x2b/0x3b0 [iwlwifi]
[    7.189059]  iwl_trans_pcie_start_fw+0x293/0x6b0 [iwlwifi]
[    7.189074]  ? __schedule+0x23c/0x850
[    7.189091]  iwl_mvm_load_ucode_wait_alive+0xf1/0x2a0 [iwlmvm]
[    7.189105]  ? 0xffffffffc0d4d000
[    7.189119]  iwl_run_init_mvm_ucode+0x85/0x330 [iwlmvm]
[    7.189137]  ? iwl_wait_init_complete+0x20/0x20 [iwlmvm]
[    7.189153]  ? iwl_trans_pcie_start_hw+0x59/0x1b0 [iwlwifi]
[    7.189171]  iwl_op_mode_mvm_start+0x5cb/0x920 [iwlmvm]
[    7.189187]  _iwl_op_mode_start.isra.8+0x47/0xa0 [iwlwifi]
[    7.189201]  ? _cond_resched+0x15/0x30
[    7.189212]  iwl_opmode_register+0x6f/0xe0 [iwlwifi]
[    7.189224]  ? 0xffffffffc0bc6000
[    7.189238]  iwl_mvm_init+0x34/0x1000 [iwlmvm]
[    7.189248]  ? 0xffffffffc0bc6000
[    7.189258]  do_one_initcall+0x48/0x13b
[    7.189269]  ? free_unref_page_commit+0x9b/0x110
[    7.189280]  ? _cond_resched+0x15/0x30
[    7.189290]  ? kmem_cache_alloc_trace+0x111/0x1c0
[    7.189302]  ? do_init_module+0x22/0x210
[    7.189312]  ? do_init_module+0x5a/0x210
[    7.189322]  ? load_module+0x20cd/0x2450
[    7.189332]  ? SYSC_init_module+0x138/0x180
[    7.189342]  ? SYSC_init_module+0x138/0x180
[    7.189353]  ? do_syscall_64+0x74/0x180
[    7.189363]  ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
[    7.189375] Code: 67 08 49 89 07 4d 89 3c 24 83 43 30 01 c6 43 78 00 e9 c0 fe ff ff 48 8b 05 04 2f 61 cf e9 70 ff ff ff 48 8b 15 f8 2e 61 cf eb 97 <0f> 0b c6 43 78 00 48 83 c4 10 5b 5d 41 5c 41 5d 41 5e 41 5f c3 
[    7.189432] RIP: iwl_pcie_rxq_alloc_rbs+0x182/0x1f0 [iwlwifi] RSP: ffffbb8f081c7940
[    7.189455] ---[ end trace 49484ada500f66ab ]---

Comment 3 jonathan.dundas 2018-05-24 22:53:44 UTC
Still occurs on 4.16.11-300:

[    7.877647] ------------[ cut here ]------------
[    7.877649] kernel BUG at drivers/net/wireless/intel/iwlwifi/pcie/rx.c:425!
[    7.877684] invalid opcode: 0000 [#1] SMP NOPTI
[    7.877700] Modules linked in: iwlmvm(+) mac80211 snd_hda_codec_realtek mxm_wmi wmi_bmof snd_hda_codec_generic snd_hda_codec_hdmi snd_usb_audio(+) snd_hda_intel snd_hda_codec iwlwifi snd_usbmidi_lib snd_hda_core edac_mce_amd snd_rawmidi snd_hwdep kvm_amd snd_seq btusb btrtl snd_seq_device btbcm btintel kvm snd_pcm bluetooth cfg80211 irqbypass crct10dif_pclmul crc32_pclmul xpad ecdh_generic snd_timer ff_memless ccp ghash_clmulni_intel rfkill snd soundcore sp5100_tco k10temp i2c_piix4 shpchp gpio_amdpt wmi gpio_generic acpi_cpufreq pinctrl_amd amdgpu chash gpu_sched radeon drm_kms_helper ttm igb drm ptp pps_core dca crc32c_intel i2c_algo_bit
[    7.877898] CPU: 1 PID: 757 Comm: modprobe Not tainted 4.16.11-300.fc28.x86_64 #1
[    7.877922] Hardware name: Gigabyte Technology Co., Ltd. X470 AORUS GAMING 5 WIFI/X470 AORUS GAMING 5 WIFI-CF, BIOS F3d 04/17/2018
[    7.877967] RIP: 0010:iwl_pcie_rxq_alloc_rbs+0x182/0x1f0 [iwlwifi]
[    7.877988] RSP: 0018:ffffb1d18892f940 EFLAGS: 00010282
[    7.878007] RAX: dead000000000200 RBX: ffff8824dfb70000 RCX: dead000000000200
[    7.878030] RDX: ffff8824f9b461b8 RSI: ffff8824f9b461e0 RDI: ffff8824f9b461e0
[    7.878053] RBP: ffff8824f9b40028 R08: 0000000000100000 R09: 000000000071f380
[    7.878076] R10: 000000000081f380 R11: 0000000000001000 R12: fffffa725fe51e00
[    7.878099] R13: ffff8824dfb70078 R14: ffff8824dfb70050 R15: ffff8824f9b461e0
[    7.878123] FS:  00007fb37ba700c0(0000) GS:ffff88251ec40000(0000) knlGS:0000000000000000
[    7.878149] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[    7.878168] CR2: 000055c144125748 CR3: 00000007f5866000 CR4: 00000000003406e0
[    7.878191] Call Trace:
[    7.878208]  _iwl_pcie_rx_init+0x25c/0x730 [iwlwifi]
[    7.878230]  iwl_pcie_rx_init+0x2b/0x3b0 [iwlwifi]
[    7.878252]  iwl_trans_pcie_start_fw+0x293/0x6b0 [iwlwifi]
[    7.878273]  ? __schedule+0x23c/0x850
[    7.878297]  iwl_mvm_load_ucode_wait_alive+0xf1/0x2a0 [iwlmvm]
[    7.878317]  ? 0xffffffffc0fb9000
[    7.878338]  iwl_run_init_mvm_ucode+0x85/0x330 [iwlmvm]
[    7.878364]  ? iwl_wait_init_complete+0x20/0x20 [iwlmvm]
[    7.878387]  ? iwl_trans_pcie_start_hw+0x59/0x1b0 [iwlwifi]
[    7.878414]  iwl_op_mode_mvm_start+0x5cb/0x920 [iwlmvm]
[    7.878437]  _iwl_op_mode_start.isra.8+0x47/0xa0 [iwlwifi]
[    7.878457]  ? _cond_resched+0x15/0x30
[    7.878474]  iwl_opmode_register+0x6f/0xe0 [iwlwifi]
[    7.878491]  ? 0xffffffffc059f000
[    7.878511]  iwl_mvm_init+0x34/0x1000 [iwlmvm]
[    7.878527]  ? 0xffffffffc059f000
[    7.878541]  do_one_initcall+0x48/0x13b
[    7.878557]  ? free_unref_page_commit+0x9b/0x110
[    7.878573]  ? _cond_resched+0x15/0x30
[    7.878588]  ? kmem_cache_alloc_trace+0x111/0x1c0
[    7.878605]  ? do_init_module+0x22/0x210
[    7.878620]  ? do_init_module+0x5a/0x210
[    7.878634]  ? load_module+0x210f/0x24a0
[    7.878650]  ? SYSC_init_module+0x138/0x180
[    7.878665]  ? SYSC_init_module+0x138/0x180
[    7.878681]  ? do_syscall_64+0x74/0x180
[    7.878696]  ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
[    7.878713] Code: 67 08 49 89 07 4d 89 3c 24 83 43 30 01 c6 43 78 00 e9 c0 fe ff ff 48 8b 05 44 ed 53 cb e9 70 ff ff ff 48 8b 15 38 ed 53 cb eb 97 <0f> 0b c6 43 78 00 48 83 c4 10 5b 5d 41 5c 41 5d 41 5e 41 5f c3 
[    7.878797] RIP: iwl_pcie_rxq_alloc_rbs+0x182/0x1f0 [iwlwifi] RSP: ffffb1d18892f940
[    7.878836] ---[ end trace 5b71b9554a0fd807 ]---

Comment 4 Tycho Bismeijer 2018-06-16 11:58:18 UTC
Description of problem:
After installing Fedora 28 on a new system, the wifi doesn't work, bluetooth does. This an Intel Wireless-AC 9260 adapter, on a Gigabyte X470 Aorus Gaming 7 Wifi motherboard.

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=/dev/mapper/fedora_neo-root ro resume=/dev/mapper/fedora_neo-swap rd.lvm.lv=fedora_neo/root rd.luks.uuid=luks-cf9af167-cc33-4340-8c2a-a94556f81a8f rd.lvm.lv=fedora_neo/swap rhgb quiet LANG=en_US.UTF-8
crash_function: _iwl_pcie_rx_init
kernel:         4.16.3-301.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
kernel BUG at drivers/net/wireless/intel/iwlwifi/pcie/rx.c:425!
invalid opcode: 0000 [#1] SMP NOPTI
Modules linked in: iwlmvm(+) mac80211 snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel btusb edac_mce_amd snd_hda_codec btrtl iwlwifi snd_hda_core btbcm kvm btintel snd_hwdep snd_seq bluetooth snd_seq_device irqbypass snd_pcm cfg80211 joydev ecdh_generic snd_timer rfkill snd soundcore sp5100_tco wmi_bmof i2c_piix4 k10temp shpchp acpi_cpufreq dm_crypt nouveau video drm_kms_helper igb ttm ptp crct10dif_pclmul crc32_pclmul crc32c_intel uas pps_core mxm_wmi drm ghash_clmulni_intel ccp usb_storage dca nvme i2c_algo_bit nvme_core wmi
CPU: 3 PID: 1050 Comm: modprobe Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. X470 AORUS GAMING 7 WIFI/X470 AORUS GAMING 7 WIFI-CF, BIOS F2 03/06/2018
RIP: 0010:iwl_pcie_rxq_alloc_rbs+0x182/0x1f0 [iwlwifi]
RSP: 0018:ffffafce42dfb940 EFLAGS: 00010282
RAX: dead000000000200 RBX: ffff9c290b290000 RCX: dead000000000200
RDX: ffff9c290b3061b8 RSI: ffff9c290b3061e0 RDI: ffff9c290b3061e0
RBP: ffff9c290b300028 R08: 0000000000100000 R09: 000000000031f380
R10: 000000000041f380 R11: 0000000000001000 R12: fffffb17502ce3c0
R13: ffff9c290b290078 R14: ffff9c290b290050 R15: ffff9c290b3061e0
FS:  00007f8d001490c0(0000) GS:ffff9c291ecc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000560d47eab648 CR3: 00000004089f6000 CR4: 00000000003406e0
Call Trace:
 _iwl_pcie_rx_init+0x25c/0x730 [iwlwifi]
 iwl_pcie_rx_init+0x2b/0x3b0 [iwlwifi]
 iwl_trans_pcie_start_fw+0x293/0x6b0 [iwlwifi]
 ? __schedule+0x23f/0x850
 iwl_mvm_load_ucode_wait_alive+0xf1/0x2a0 [iwlmvm]
 ? 0xffffffffc0af2000
 iwl_run_init_mvm_ucode+0x85/0x330 [iwlmvm]
 ? iwl_wait_init_complete+0x20/0x20 [iwlmvm]
 ? iwl_trans_pcie_start_hw+0x59/0x1b0 [iwlwifi]
 iwl_op_mode_mvm_start+0x5cb/0x920 [iwlmvm]
 _iwl_op_mode_start.isra.8+0x47/0xa0 [iwlwifi]
 ? _cond_resched+0x15/0x30
 iwl_opmode_register+0x6f/0xe0 [iwlwifi]
 ? 0xffffffffc0855000
 iwl_mvm_init+0x34/0x1000 [iwlmvm]
 ? 0xffffffffc0855000
 do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x20cd/0x2450
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 67 08 49 89 07 4d 89 3c 24 83 43 30 01 c6 43 78 00 e9 c0 fe ff ff 48 8b 05 44 bf 58 e3 e9 70 ff ff ff 48 8b 15 38 bf 58 e3 eb 97 <0f> 0b c6 43 78 00 48 83 c4 10 5b 5d 41 5c 41 5d 41 5e 41 5f c3 
RIP: iwl_pcie_rxq_alloc_rbs+0x182/0x1f0 [iwlwifi] RSP: ffffafce42dfb940

Comment 5 Justin M. Forbes 2018-07-23 14:53:55 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 6 jonathan.dundas 2018-07-26 23:58:05 UTC
Hello,

I just booted up and it looks like on 4.17.3-200 it's fixed!  Wifi is working great now.

Comment 7 Justin M. Forbes 2018-07-27 17:02:31 UTC
Thanks for the update.


Note You need to log in before you can comment on or make changes to this bug.